%define         Werror_cflags   %nil

%define         oname           wxSVG

%define         major           0
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d

Name:           wxsvg
Summary:        A library to create, manipulate and render SVG files
Version:        1.1.11
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries

URL:            http://wxsvg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         wxsvg-1.1.11-linkage.patch

BuildRequires:  wxgtku2.8-devel >= 2.8.12-5
BuildRequires:  libart_lgpl-devel
BuildRequires:  ffmpeg-devel

%description
wxSVG is a C++ library to create, manipulate and render SVG files.

%package -n     %{libname}
Summary:        Shared libraries for %{oname}
Group:          System/Libraries

%description -n %{libname}
wxSVG is a C++ library to create, manipulate and render SVG
files. This package contains the shared libraries.


%package -n     %{develname}
Summary:        Development files and headers for %{oname}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{oname}.

%prep
%setup -q -a0
%patch0 -p1 -b .old


#move files to a better place
mv *.m4 m4/

%build
autoreconf -vfi
%configure2_5x \
                --disable-static \
                --enable-ffmpeg
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

#unpackaged file
rm -rf %{buildroot}%{_bindir}/svgview

%files -n %{libname}
%doc AUTHORS ChangeLog TODO
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{oname}*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so


%changelog

* Sat Jan 19 2013 eatdirt <eatdirt> 1.1.11-1.mga3
+ Revision: 389841
- Upgrade to 1.1.11 which fixes bug #8727

* Mon Jan 14 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 385903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1.9-2.mga3
+ Revision: 341752
- rebuild for new ffmpeg

* Thu Aug 23 2012 eatdirt <eatdirt> 1.1.9-1.mga3
+ Revision: 283242
- Upgrade to version 1.1.9

* Tue May 29 2012 fwang <fwang> 1.1.8-1.mga3
+ Revision: 249096
- new version 1.1.8

* Tue May 29 2012 fwang <fwang> 1.1.6-2.mga3
+ Revision: 249086
- rebuild for new ffmpeg

* Mon Feb 20 2012 wally <wally> 1.1.6-1.mga2
+ Revision: 211218
- new version 1.1.6

* Tue Dec 13 2011 wally <wally> 1.1.5-1.mga2
+ Revision: 181410
- new version 1.1.5
- rewrote .spec

  + matteo <matteo>
    - fixed group and license
    - add comment about configure arguments
    - upgraded sources to version 1.1.2
    - imported package wxsvg

